Bug 537657 - [abrt] crash detected in celestia-1.5.1-2.fc12
Summary: [abrt] crash detected in celestia-1.5.1-2.fc12
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: celestia
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1a3a514251104939bcae4e49e63...
Keywords:
: 538556 545449 551719 619671 639416 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-15 14:19 UTC by Torsten Rausche
Modified: 2010-12-19 20:21 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-19 20:21:28 UTC


Attachments (Terms of Use)
File: backtrace (5.45 KB, text/plain)
2009-11-15 14:19 UTC, Torsten Rausche
no flags Details

Description Torsten Rausche 2009-11-15 14:19:24 UTC
abrt detected a crash.

Comment: Just run the demo. It crashes when leaving the sun.
Attached file: backtrace
cmdline: celestia
component: celestia
executable: /usr/bin/celestia
kernel: 2.6.31.5-127.fc12.x86_64
package: celestia-1.5.1-2.fc12
rating: 4
reason: Process was terminated by signal 8

Comment 1 Torsten Rausche 2009-11-15 14:19:26 UTC
Created attachment 369594 [details]
File: backtrace

Comment 2 Karel Klíč 2009-12-15 13:55:38 UTC
*** Bug 538556 has been marked as a duplicate of this bug. ***

Comment 3 Karel Klíč 2009-12-15 13:55:55 UTC
*** Bug 545449 has been marked as a duplicate of this bug. ***

Comment 4 Karel Klíč 2010-02-24 16:50:37 UTC
*** Bug 551719 has been marked as a duplicate of this bug. ***

Comment 5 Tony 2010-03-26 12:03:43 UTC

Comment
-----
it just chrashed while I was flying to another location

Comment 6 Spencer Tom Tafadzwa Chirume 2010-03-31 03:44:38 UTC

How to reproduce
-----
1. By going through the menu items,  
2. under Views
3. click Orbit, program exits upon clicking said item.  

Comment
-----
Attempting to start program afterthe crash aslo produces another bug.

Comment 7 Bug Zapper 2010-11-04 06:23:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Torsten Rausche 2010-11-17 11:12:06 UTC
This still applies to Fedora 14. Changed the Version field accordingly.

Comment 9 Hans de Goede 2010-12-10 08:52:12 UTC
*** Bug 619671 has been marked as a duplicate of this bug. ***

Comment 10 Hans de Goede 2010-12-10 08:59:16 UTC
*** Bug 639416 has been marked as a duplicate of this bug. ***

Comment 11 Hans de Goede 2010-12-10 09:03:51 UTC
Hi,

Thanks for the bug report, and for re-testing with F-14.

celestia-1.6.0 has been build for rawhide, it should install under F-14 fine too, you can download it here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=208340

Can you give this version a try and see if it fixes this ?

Thanks,

Hans

Comment 12 Torsten Rausche 2010-12-11 14:54:43 UTC
I installed celestia-1.6.0-1.fc15 from koji, run celestia's demo mode an it did not crash. So this bug seems to be fixed indeed.

Will there be an official update for F14?

Comment 13 Hans de Goede 2010-12-11 15:24:20 UTC
(In reply to comment #12)
> I installed celestia-1.6.0-1.fc15 from koji, run celestia's demo mode an it did
> not crash. So this bug seems to be fixed indeed.
> 
> Will there be an official update for F14?

Given the number of duplicate bug reports this bug has been getting, and that thus a lot of people have been hitting this that seems like a good idea. So I'll go and prepare an official update :)

Comment 14 Fedora Update System 2010-12-11 15:47:21 UTC
celestia-1.6.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/celestia-1.6.0-1.fc14

Comment 15 Fedora Update System 2010-12-12 00:05:12 UTC
celestia-1.6.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update celestia'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/celestia-1.6.0-1.fc14

Comment 16 Fedora Update System 2010-12-19 20:21:18 UTC
celestia-1.6.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.